import { getElementId, randomCode, deepCopy } from "../../plugins/utils";

const MODEL = {
  type: "FILL_NUMBER",
  x: 0,
  y: 0,
  w: 300,
  h: 244,
  sign: "",
  name: "学号",
  numberCount: 9,
  content: "",
};

const getModel = () => {
  return {
    id: getElementId(),
    key: randomCode(),
    ...deepCopy(MODEL),
  };
};

export { MODEL, getModel };
